// taken from licq
#ifndef UTILITY_H
#define UTILITY_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <vector>


class Process
{
public:
  Process();
  ~Process();

  bool open(const char *cmd);
  int close();

  bool running() { return fStdOut != NULL; }
  
  /** wait until the process has finished */
  void wait();

  FILE *stdOut()  { return fStdOut; }
  FILE *stdErr()  { return fStdErr; }
protected:
  int pid;
  FILE *fStdOut;
  FILE *fStdErr;
};

#endif
